%define           rev 4255
%define           pre rc3

Name:             kvirc
Version:          4.0.0
Release:          0.27.%{pre}%{?dist}
Summary:          Free portable IRC client
Group:            Applications/Internet
License:          GPLv2+ with exceptions
URL:              http://kvirc.net/
Source0:          ftp://ftp.kvirc.de/pub/kvirc/snapshots/source/%{name}-4.0%{pre}.tar.bz2
# fix for https://svn.kvirc.de/kvirc/ticket/763
Patch0:           kvirc-help-fix.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    kdelibs4-devel audiofile-devel esound-devel glib2-devel
BuildRequires:    python-devel perl-ExtUtils-Embed dbus-devel
BuildRequires:    cmake desktop-file-utils gettext doxygen graphviz
BuildRequires:    cryptopp-devel >= 5.6.1
#BuildRequires:    libv4l-devel libtheora-devel libvorbis-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
KVIrc is a free portable IRC client based on the excellent
Qt GUI toolkit. KVirc is being written by Szymon Stefanek
and the KVIrc Development Team with the contribution of
many IRC addicted developers around the world.

%prep
%setup -q -n %{name}-4.0%{pre}
%patch0

%build
%{cmake}  \
%ifarch %{ix86}
-DWITH_ix86_ASM=ON \
%endif
-DCMAKE_SKIP_RPATH=ON \
-DWANT_NO_EMBEDDED_CODE=ON \
-DWITHOUT_ESD=OFF \
-DWITHOUT_OSS=OFF \
-DWANT_COEXISTENCE=OFF \
-DWITHOUT_PYTHON=OFF \
-DUSE_ENV_FLAGS=ON \
-DMANUAL_REVISION=%{rev}
#-DWITH_DCC_VIDEO=ON \
#-DWITH_OGG_THEORA=ON \
#-DWITH_DCC_CANVAS=OFF \


make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

ln -s ../../%{name}/4.0/license/COPYING COPYING

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc doc/FAQ doc/README COPYING ChangeLog
%{_bindir}/%{name}
%{_libdir}/libkvilib.so.4
%{_libdir}/libkvilib.so.4.0.0
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/4.0
%dir %{_datadir}/%{name}/4.0/locale
%{_datadir}/%{name}/4.0/config/
%{_datadir}/%{name}/4.0/defscript/
%{_datadir}/%{name}/4.0/doc/
%{_datadir}/%{name}/4.0/help/
%{_datadir}/%{name}/4.0/modules/
%{_datadir}/%{name}/4.0/msgcolors/
%{_datadir}/%{name}/4.0/pics/
%{_datadir}/%{name}/4.0/themes/
%{_datadir}/%{name}/4.0/license/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/*/apps/kvirc.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kva.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kvt.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvc.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvs.*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz

# Translation files
%lang(bg) %{_datadir}/%{name}/4.0/locale/*_bg.mo
%lang(ca) %{_datadir}/%{name}/4.0/locale/*_ca.mo
%lang(cs) %{_datadir}/%{name}/4.0/locale/*_cs.mo
%lang(de) %{_datadir}/%{name}/4.0/locale/*_de.mo
%lang(es) %{_datadir}/%{name}/4.0/locale/*_es.mo
%lang(fi) %{_datadir}/%{name}/4.0/locale/*_fi.mo
%lang(fr) %{_datadir}/%{name}/4.0/locale/*_fr.mo
%lang(hr) %{_datadir}/%{name}/4.0/locale/*_hr.mo
%lang(hu) %{_datadir}/%{name}/4.0/locale/*_hu.mo
%lang(it) %{_datadir}/%{name}/4.0/locale/*_it.mo
%lang(nl) %{_datadir}/%{name}/4.0/locale/*_nl.mo
%lang(pl) %{_datadir}/%{name}/4.0/locale/*_pl.mo
%lang(pt_BR) %{_datadir}/%{name}/4.0/locale/*_pt_BR.mo
%lang(pt) %{_datadir}/%{name}/4.0/locale/*_pt.mo
%lang(ru) %{_datadir}/%{name}/4.0/locale/*_ru.mo
%lang(sr) %{_datadir}/%{name}/4.0/locale/*_sr.mo
%lang(uk) %{_datadir}/%{name}/4.0/locale/*_uk.mo
%lang(de) %{_mandir}/de/man1/%{name}.1.gz
%lang(it) %{_mandir}/it/man1/%{name}.1.gz

%exclude %{_libdir}/libkvilib.so
%exclude %{_bindir}/kvirc-config
%exclude %{_datadir}/%{name}/4.0/doc/FAQ
%exclude %{_datadir}/%{name}/4.0/doc/README

%changelog
* Sun Apr 18 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.27.rc3
- fix in help borwser (r4258)

* Sat Apr 17 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.26.rc3
- update to 4.0 rc3

* Fri Feb 26 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.25.20100226svn4030
- svn snapshot 4030
- added -DCMAKE_SKIP_RPATH=ON to fix F13+ rpath issue

* Sun Feb 21 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.24.20100221svn4000
- svn 4000 (SASL support implemented)

* Fri Feb 12 2010 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.23.20100212svn3956
- svn 3956 (should fix irc7 Excess Flood issue)

* Tue Dec 29 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.21.rc2
- fix log files date format from svn 3762

* Sat Dec 19 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.20.rc2
- KVIrc 4.0 release candidate 2
- added BR cryptopp-devel and -DWANT_NO_EMBEDDED_CODE=ON
- re-enabled pyhton module -DWITHOUT_PYTHON=OFF
- added BR python-devel

* Wed Sep  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.17.rc1
- disabled pyhton module, added -DWITHOUT_PYTHON=ON
- removed BR python-devel

* Tue Sep  8 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.16.rc1
- KVIrc 4.0 release candidate 1

* Sun Aug 31 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.15.20090831svn3442
- svn snapshot 3442 that includes option for using environment variables
- Added -DUSE_ENV_FLAGS=ON for using default compiler flags

* Sat Aug 29 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.13.20090827svn3429
- rebuilt with new openssl

* Thu Aug 27 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.11.20090827svn3429
- svn snapshot 3429 that includes patch for openssl >=1.0

* Thu Aug 27 2009 Tomas Mraz <tmraz@redhat.com> - 4.0.0-0.10.20090826svn3426
- rebuilt with new openssl

* Wed Aug 26 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.9.20090826svn3426
- svn snapshot 3426
- Added -DWANT_COEXISTENCE=OFF, binary name changed to kvirc
- Added -DWITH_ix86_ASM and -DMANUAL_REVISION
- Added BR: esound-devel

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.7.20090409svn3173
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.6.20090409svn3173
- svn snapshot 3173
- Summary changed to Free portable IRC client

* Mon Apr  6 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.5.20090404svn3172
- patch for using standard compiler flags

* Sun Apr  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.4.20090404svn3172
- symlink to COPYING

* Sat Apr  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.3.20090404svn3172
- Exclude duplicate files
- svn snapshot 3172
- BR dbus-devel

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.2.20090328svn3168
- Fixed owner of /usr/share/kvirc
- Changed release tag and license field
- Fixed owner of /usr/share/kvirc/4.0 and /usr/share/kvirc/4.0/locale
- caps dir included in package

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.5.svn3168
- Use update-desktop-database and gtk-update-icon-cache instead of xdg-utils

* Fri Mar 20 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.4.svn3151
- Initial RPM release
